#include<iostream>
#include<stdio.h>

using namespace std;

int brojcifara(long long n) 
{ 
    int count = 0; 
    while (n != 0) { 
        n = n / 10; 
        ++count; 
    } 
    return count; 
} 

int main()
{
	long long a, b, c;
	cin >> a >> b >> c;
	
	long long x = a, y = b, z = c;
	
	while(brojcifara(x) < brojcifara(y))
		x *= 10;
	while(brojcifara(x) > brojcifara(y))
		y *= 10;
	while(brojcifara(x) < brojcifara(c))
	{
		x *= 10;
		y *= 10;
	}
	while(brojcifara(x) > brojcifara(z))
		z *= 10;
	if(x > y)
	{
		if(x > z)
		{
			if(y > z)
				cout << a << b << c;
			else
				cout << a << c << b;
		}
		else
			cout << c << a << b;
	}
	else
	{
		if(y > z)
		{
			if(x > z)
				cout << b << a << c;
			else
				cout << b << c << a;
		}
		else
			cout << c << b << a;
	}
	
	return 0;
}